<div class="cookie-baner-container" *ngIf="displayCookieBanner">
  <div class="cross" (click)="hideCookieBanner()">
    <svg color="white" width="14" height="15" viewBox="0 0 14 15" fill="none" xmlns="http://www.w3.org/2000/svg">
      <path d="M1 13.0144L7 7.00723L0.999999 1.00006" stroke="white" stroke-width="2" stroke-linecap="round"
        stroke-linejoin="round" />
      <path d="M13 1L7 7.00717L13 13.0143" stroke="white" stroke-width="2" stroke-linecap="round"
        stroke-linejoin="round" />
    </svg>
  </div>
  <div class="cookie-icon">
    <svg width="44" height="44" viewBox="0 0 44 44" fill="none" xmlns="http://www.w3.org/2000/svg">
      <path
        d="M26.9018 6.53255L27.7391 7.07925L28.4427 6.00157L27.2246 5.58609L26.9018 6.53255ZM23.303 1.52707L24.303 1.52213L24.2984 0.576451L23.3539 0.528362L23.303 1.52707ZM32.2251 14.6798L33.225 14.6928L33.2405 13.4994L32.0628 13.693L32.2251 14.6798ZM40.3328 19.2742L41.2178 18.8087L40.7186 17.8597L39.8067 18.4238L40.3328 19.2742ZM42.8507 21.6482L43.8504 21.6258L43.8364 20.9966L43.263 20.7372L42.8507 21.6482ZM27.2246 5.58609C25.5304 5.00824 24.3123 3.40671 24.303 1.52213L22.3031 1.53201C22.3167 4.2941 24.1026 6.63438 26.579 7.47901L27.2246 5.58609ZM27.0403 9.43481C27.0403 8.56391 27.2972 7.75606 27.7391 7.07925L26.0644 5.98585C25.4167 6.97791 25.0403 8.16392 25.0403 9.43481H27.0403ZM31.356 13.7505C28.9725 13.7505 27.0403 11.8183 27.0403 9.43481H25.0403C25.0403 12.9229 27.8679 15.7505 31.356 15.7505V13.7505ZM32.0628 13.693C31.8334 13.7308 31.5974 13.7505 31.356 13.7505V15.7505C31.7065 15.7505 32.0511 15.7218 32.3873 15.6665L32.0628 13.693ZM33.2246 14.7502C33.2246 14.731 33.2247 14.7119 33.225 14.6928L31.2252 14.6668C31.2248 14.6946 31.2246 14.7224 31.2246 14.7502H33.2246ZM37.5403 19.0659C35.1568 19.0659 33.2246 17.1337 33.2246 14.7502H31.2246C31.2246 18.2383 34.0522 21.0659 37.5403 21.0659V19.0659ZM39.8067 18.4238C39.1487 18.8308 38.3735 19.0659 37.5403 19.0659V21.0659C38.7557 21.0659 39.8938 20.7216 40.8588 20.1247L39.8067 18.4238ZM43.263 20.7372C42.3862 20.3403 41.6644 19.6577 41.2178 18.8087L39.4477 19.7398C40.1008 20.9812 41.1544 21.9781 42.4383 22.5592L43.263 20.7372ZM43.856 22.1187C43.856 21.954 43.8541 21.7897 43.8504 21.6258L41.8509 21.6706C41.8543 21.8195 41.856 21.9689 41.856 22.1187H43.856ZM22.2373 43.7373C34.177 43.7373 43.856 34.0583 43.856 22.1187H41.856C41.856 32.9537 33.0724 41.7373 22.2373 41.7373V43.7373ZM0.618652 22.1187C0.618652 34.0583 10.2977 43.7373 22.2373 43.7373V41.7373C11.4022 41.7373 2.61865 32.9537 2.61865 22.1187H0.618652ZM22.2373 0.5C10.2977 0.5 0.618652 10.179 0.618652 22.1187H2.61865C2.61865 11.2836 11.4022 2.5 22.2373 2.5V0.5ZM23.3539 0.528362C22.984 0.509527 22.6117 0.5 22.2373 0.5V2.5C22.5778 2.5 22.9161 2.50866 23.2522 2.52577L23.3539 0.528362Z"
        fill="white" />
      <circle cx="11.9937" cy="14.875" r="1.375" fill="white" />
      <circle cx="22.2373" cy="35.125" r="1.375" fill="white" />
      <circle cx="12.8374" cy="27.0312" r="2.71875" fill="white" />
      <circle cx="25.1748" cy="19.9375" r="1.5625" fill="white" />
      <circle cx="31.356" cy="31.75" r="2" fill="white" />
      <circle cx="19.4873" cy="9.5" r="2" fill="white" />
    </svg>
  </div>
  <p class="banner-text"><span i18n="@@cookieBanner.message">We care about your personal data and we use cookies in
      order to improve your experience.</span>
    <div class="button-wrapper">
      <button class="button" i18n="@@cookieBanner.close" (click)="hideCookieBanner();">Close</button>
      <button class="button button-white" i18n="@@cookieBanner.more" (click)="showMore();hideCookieBanner();">Learn
        more</button>
    </div>
</div>
<div class="modal" *ngIf="modalOpen">
  <div class="box">
    <div>
      <p class="title" i18n="@@cookieModal.title">Cookies manager</p>
      <svg class="cross" (click)="hideModal()" color="white" width="14" height="15" viewBox="0 0 14 15" fill="none"
        xmlns="http://www.w3.org/2000/svg">
        <path d="M1 13.0144L7 7.00723L0.999999 1.00006" stroke="white" stroke-width="2" stroke-linecap="round"
          stroke-linejoin="round" />
        <path d="M13 1L7 7.00717L13 13.0143" stroke="white" stroke-width="2" stroke-linecap="round"
          stroke-linejoin="round" />
      </svg>
    </div>


    <div class="content">
      <div class="tabs">
        <div class="tab" (click)='toggleTab(0)' [ngClass]="{'tab-active' : tab === 0}">
          <p i18n="@@cookieModal.tab1title">Why do we use cookies?</p>
        </div>
        <div class="tab" (click)='toggleTab(1)' [ngClass]="{'tab-active' : tab === 1}">
          <p i18n="@@cookieModal.tab2title">Necessary cookies</p>
        </div>
      </div>
      <div class="description">
        <div class="tab-description" [ngClass]="{'hidden' : tab !== 0}">
          <p class="tab-title" i18n="@@cookieModal.tab1">Why do we use cookies?</p>
          <div class="tab-content">
            <p i18n="@@cookieModal.tab1.p1">We use cookies to learn about how you interact with us, improve your
              experience on our site and personalize your relationship with the platform.</p>
            <p i18n="@@cookieModal.tab1.p2">Cookies are not used for commercial purposes.</p>
            <p i18n="@@cookieModal.tab1.p3">Click on the « Necessary cookies » tab to find out more.</p>
          </div>
        </div>
        <div class="tab-description" [ngClass]="{'hidden' : tab !== 1}">
          <p class="tab-title" i18n="@@cookieModal.tab2">Necessary cookies</p>
          <div class="tab-content">
            <p i18n="@@cookieModal.tab2.p1">Active cookies allow to :</p>
            <p i18n="@@cookieModal.tab2.p2">- save your awareness of how cookies are managed, so that you will not have
              to go through it at each visit.</p>
            <p i18n="@@cookieModal.tab2.p3">- save your awareness and acceptance of the Terms of use, so that we will
              not have to ask you to renew this acceptance at each visit.</p>
            <p i18n="@@cookieModal.tab2.p4">- avoid, during authenticated sessions, to systematically prompt you for
              your credentials at each visit or new page</p>
            <p i18n="@@cookieModal.tab2.p5">- measure the platform's traffic</p>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>